<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk" version="4.0"/>
  <template class="ArticleRow" parent="GtkBox">
    <property name="height-request">100</property>
    <child>
      <object class='GtkGestureClick' id="row_click">
        <property name="button">3</property>
      </object>
    </child>
    <child>
      <object class='GtkGestureClick' id="row_activate">
        <property name="button">1</property>
      </object>
    </child>
    <child>
      <object class='GtkGestureLongPress' id="row_long_press"/>
    </child>
    <child>
      <object class="GtkBox">
        <property name="margin-start">8</property>
        <property name="margin-end">15</property>
        <property name="margin-top">6</property>
        <property name="margin-bottom">6</property>
        <property name="orientation">vertical</property>
        <child>
          <object class="GtkBox" id="date_box">
            <property name="height-request">24</property>
            <property name="can-focus">0</property>
            <child>
              <object class="GtkImage" id="favicon">
                <property name="halign">center</property>
                <property name="width-request">16</property>
                <property name="height-request">16</property>
                <property name="can-focus">0</property>
                <property name="margin-start">4</property>
                <property name="margin-end">8</property>
                <property name="margin-top">4</property>
                <property name="margin-bottom">4</property>
                <property name="icon-name">application-rss+xml-symbolic</property>
              </object>
            </child>
            <child>
              <object class="GtkLabel" id="feed_label">
                <property name="hexpand">0</property>
                <property name="halign">start</property>
                <property name="valign">center</property>
                <property name="can-focus">0</property>
                <property name="label" translatable="yes">feed</property>
                <property name="wrap">1</property>
                <property name="wrap-mode">char</property>
                <property name="ellipsize">end</property>
                <property name="xalign">0</property>
                <style>
                  <class name="subtitle"/>
                </style>
              </object>
            </child>
            <child>
              <object class="GtkLabel">
                <property name="hexpand">0</property>
                <property name="halign">start</property>
                <property name="valign">center</property>
                <property name="can-focus">0</property>
                <property name="label" translatable="yes">/</property>
                <property name="xalign">1</property>
                <property name="margin-start">6</property>
                <property name="margin-end">6</property>
                <style>
                  <class name="subtitle"/>
                </style>
              </object>
            </child>
            <child>
              <object class="GtkLabel" id="date_label">
                <property name="hexpand">0</property>
                <property name="halign">start</property>
                <property name="valign">center</property>
                <property name="can-focus">0</property>
                <property name="label" translatable="yes">date</property>
                <property name="xalign">1</property>
                <style>
                  <class name="subtitle"/>
                </style>
              </object>
            </child>
            <child type="end">
              <object class="ArticleTags" id="article_tags" />
            </child>
            <child type="end">
              <object class="GtkImage" id="marked">
                <property name="visible">0</property>
                <property name="can-focus">0</property>
                <property name="halign">end</property>
                <property name="icon-name">starred</property>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="GtkBox">
            <property name="vexpand">1</property>
            <property name="can-focus">0</property>
            <property name="margin-start">4</property>
            <child>
              <object class="GtkRevealer" id="thumb_revealer">
                <property name="can-focus">0</property>
                <property name="transition-type">slide-right</property>
                <property name="transition-duration">0</property>
                <property name="child">
                  <object class="GtkImage" id="thumb_image">
                    <property name="width-request">64</property>
                    <property name="height-request">64</property>
                    <property name="can-focus">0</property>
                    <property name="margin-end">8</property>
                  </object>
                </property>
              </object>
            </child>
            <child>
              <object class="GtkBox">
                <property name="hexpand">1</property>
                <property name="can-focus">0</property>
                <property name="orientation">vertical</property>
                <child>
                  <object class="GtkLabel" id="title_label">
                    <property name="vexpand">1</property>
                    <property name="can-focus">0</property>
                    <property name="tooltip-text" translatable="yes">title</property>
                    <property name="label" translatable="yes">title</property>
                    <property name="wrap">1</property>
                    <property name="wrap-mode">word-char</property>
                    <property name="ellipsize">end</property>
                    <property name="lines">2</property>
                    <property name="xalign">0</property>
                    <property name="yalign">0.2</property>
                    <style>
                      <class name="large"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel" id="summary_label">
                    <property name="vexpand">1</property>
                    <property name="can-focus">0</property>
                    <property name="margin-top">5</property>
                    <property name="label" translatable="yes">No Summary</property>
                    <property name="wrap">1</property>
                    <property name="wrap-mode">word-char</property>
                    <property name="ellipsize">end</property>
                    <property name="lines">1</property>
                    <property name="xalign">0</property>
                    <property name="yalign">0</property>
                    <style>
                      <class name="subtitle"/>
                    </style>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
  </template>
</interface>
